MONGOC_COLLECTION_SAVE(3)

NAME
mongoc_collection_save() - This function shall save a document into collection. If the document has an _id field it will be updated. Otherwise it will be inserted.

SYNOPSIS

bool
mongoc_collection_save (mongoc_collection_t          *collection,
                        const bson_t                 *document,
                        const mongoc_write_concern_t *write_concern,
                        bson_error_t                 *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

document
    A bson_t containing the document.

write_concern
    A mongoc_write_concern_t or NULL for default write concern.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function shall save a document into collection \&. If the document has an _id field it will be updated. Otherwise it will be inserted.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.